[Prev: LISTBEGIN] | [Resources][TOC] | [Next: LITEMPLATE]

# LISTEND

- Syntax
- Description
- Default Setting
- Resource Variables
- Examples
- Version
- See Also

## Syntax

Envariable

  N/A

Element

  `<LISTEND>
  ` markup ...
  `</LISTEND>
  `

Command-line Option

  N/A

## Description

The LISTEND resource specifies the markup to end the message list in the main index. This resource works in conjuction with LISTBEGIN and LITEMPLATE resources to format the main index page(es).

## Default Setting

    <ListEnd>
    </ul>
    </ListEnd>

## Resource Variables

Variable | Value
--- | ---
`$ATTACHMENTURL$` | Base URL to attachments
`$DOCURL$` | URL to documentation.
`$ENV$` | Value of an environment variable.
`$GMTDATE$` | Current GMT date.
`$ICONURLPREFIX$` | Value of ICONURLPREFIX resource.
`$IDXFNAME$` | Filename of main index page.
`$IDXLABEL$` | Label for main index page.
`$IDXPREFIX$` | Prefix of filenames of main index pages.
`$IDXSIZE$` | Max number of messages that may be listed in index page.
`$IDXTITLE$` | The title of the main index page.
`$LOCALDATE$` | Current local date.
`$NUMOFIDXMSG$` | Number of message listed.
`$NUMOFMSG$` | Number of messages in the archive.
`$NUMOFPAGES$` | Number of index pages.
`$OUTDIR$` | Pathname of archive.
`$PAGENUM$` | Current index page number.
`$PG$` | Filename of an index page.
`$PGLINK$` | Markup linking to an index page.
`$PGLINKLIST$` | List of links to index pages.
`$PROG$` | Program name
`$TIDXFNAME$` | Filename of thread index page.
`$TIDXLABEL$` | Label for thread index page.
`$TIDXPREFIX$` | Prefix of filenames of thread index pages.
`$TIDXTITLE$` | Title of thread index.
`$VERSION$` | Program version.

## Examples

None.

## Version

1.0

## See Also

LISTBEGIN, LITEMPLATE

[Prev: LISTBEGIN] | [Resources][TOC] | [Next: LITEMPLATE]